sayren Docs
주문서

주문서에 쓸 수 있는 내 쿠폰

로그인한 구매자의 사용 가능한 쿠폰마다 이 주문서에 혼자 적용했을 때의 예상 할인과 적용 가능 여부를 돌려준다. 비회원은 빈 목록이다. 쿠폰을 쓸 수 없는 상태(`COUPONS_UNAVAILABLE`)여도 빈 목록이다.

GET
/storefront/v1/checkout/{checkoutId}/coupons

로그인한 구매자의 사용 가능한 쿠폰마다 이 주문서에 혼자 적용했을 때의 예상 할인과 적용 가능 여부를 돌려준다. 비회원은 빈 목록이다. 쿠폰을 쓸 수 없는 상태(COUPONS_UNAVAILABLE)여도 빈 목록이다.

Authorization

headerAuthorizationBearer <token>

회원 accessToken

Path Parameters

checkoutId*string

Response Body

성공

application/json
  1. response
meta*
data*array<>
error*|null
curl -X GET 'https://api.sayren.io/storefront/v1/checkout/string/coupons'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": [    {      "issueId": "string",      "couponId": "string",      "name": "string",      "description": "string",      "kind": "string",      "benefit": {        "type": "string",        "value": 0,        "maxDiscountAmount": 0      },      "minOrderAmount": 0,      "validUntil": "string",      "applicable": true,      "expectedDiscountAmount": 0,      "rejectReason": "string"    }  ],  "error": null}